import React, { useState, useEffect } from 'react';
import { Form, Icon, Input, Button, DatePicker, Select, Card, Row, Col, Pagination, Alert, Radio, Tag, Tooltip, Tabs } from 'antd';
import moment from 'moment';
import request from '../../../../utils/request';
import apis from '../../../../services/apis';
import Styles from './style.less';
import { router } from 'umi';


import ImageUpload from '../../../../components/XForm/ImageUpload'
import Wangedit from '../../../../components/Wangedit/Wangedit'
import TagGroup from './components/tags'
import Base from './components/base'
import ImageSet from './components/imageSet'


const { Option } = Select
const { TabPane } = Tabs;

const formItemLayout = {
  labelCol: {
    xs: { span: 24 },
    sm: { span: 2 },
  },
  wrapperCol: {
    xs: { span: 24 },
    sm: { span: 16 },
  },
};

function AddBuilding(props) {
  // eslint-disable-next-line react-hooks/rules-of-hooks
  const [dataSource, setDataSource] = useState({ records: [] })

  const [buildingAreaTags, setBuildingAreaTags] = useState({ tags: ['Unremovable', 'Tag 2', 'Tag 3'], inputVisible: false, inputValue: '' })


  const { getFieldDecorator } = props.form;

  function handleSubmit(e) {
    e.preventDefault();
    props.form.validateFieldsAndScroll((err, values) => {
      if (!err) {
        console.log('Received values of form: ', values);
      }
    });
  }

  function tabsCallback(key) {
    console.log(key);
  }

  return (
    <Tabs defaultActiveKey="1" onChange={tabsCallback}>
      <TabPane tab="基本信息" key="1">
        <Base />
      </TabPane>
      <TabPane tab="图片" key="2">
        <ImageSet building={{ buildingId: '159fd19bb973b6972c10fbebf07ddeb1' }} />
      </TabPane>
    </Tabs>
  )
}

const WrappedAddBuildingForm = Form.create({ name: 'addBuilding' })(AddBuilding);

export default WrappedAddBuildingForm
